
# control_snort_linux32.cmd
# (C) Gene 2013
# FOR UPDATE SNORT BASE 
# FOR Kerio Control 7.3.0 and above
# FOR Linux ONLY
# NEEDED package unzip_6.0-4_i386.deb and libbz2-1.0_1.0.5-6_i386.deb
# Use with KUAS - http://www.geneg.ru

# Source for updates
#
# KUAS package
SNORT_address=http://geneg.ru/snort
#
# LOCAL WEB-SERVER for update
#SNORT_address=http://updater/snort

# archive name for download
SNORT_LISTS_ARC=SNORT-LISTS-FOR-KERIO_730.zip
SNORT_RULES_ARC=SNORT-RULES-FOR-KERIO_730.zip
# password for all archives
PASS_ARC=gene-ru.homeip.net

# temp-dir for script
tmp_snort=/var/snort_update/tmp/snort

# destignation dir for snort
#
# testing dir
# snort_target=/var/snort_test/snort/templates/rules/current
#
# snort in kerio - job dir
snort_target=/var/winroute/snort/templates/rules/current
#
# subdir for updates for testing and job
snort_lists_target=$snort_target/blacklists
snort_rules_target=$snort_target/rules

# make tmp-dir for script
rm -rf $tmp_snort
mkdir $tmp_snort

# download archives with updates for snort
wget -P $tmp_snort $SNORT_address/$SNORT_LISTS_ARC
wget -P $tmp_snort $SNORT_address/$SNORT_RULES_ARC

# unpack archives
# WARNING !!! Native unzip-utilite DONT JOB !!!
# NEEDED package unzip_6.0-4_i386.deb and libbz2-1.0_1.0.5-6_i386.deb
unzip -P $PASS_ARC $tmp_snort/$SNORT_LISTS_ARC -d $tmp_snort
unzip -P $PASS_ARC $tmp_snort/$SNORT_RULES_ARC -d $tmp_snort

# stop kerio daemon
/etc/boxinit.d/60winroute stop

# remove older signature
rm -rf $snort_lists_target
rm -rf $snort_rules_target
mkdir $snort_lists_target
mkdir $snort_rules_target

# create new dir and copy new signature
ver_snort=`cat $tmp_snort/blacklists/version`
mkdir $snort_lists_target/$ver_snort
cp -R $tmp_snort/blacklists/* $snort_lists_target/$ver_snort
ver_snort=`cat $tmp_snort/rules/version`
mkdir $snort_rules_target/$ver_snort
cp -R $tmp_snort/rules/* $snort_rules_target/$ver_snort

# clear punk
rm -rf $tmp_snort

# start kerio daemon
/etc/boxinit.d/60winroute start
